<?php


class Franchiseandstorelocator_Models_Mapper_FranchisesettingsMapper extends Application_Model_Mappers_Abstract {

	protected $_dbTable = 'Franchiseandstorelocator_Models_Dbtables_FranchisesettingsDbtable';

	protected $_model   = 'Franchiseandstorelocator_Models_Models_FranchisesettingsModel';

	public function save($config) {
		if (!is_array($config) || empty ($config)){
			throw new Exceptions_SeotoasterPluginException('Given parameter should be non empty array');
		}
		
        array_walk($config, function($value, $key, $dbTable){
			$dbTable->updateParam($key, $value);
		}, $this->getDbTable());
	}
    
	public function getConfigParams() {
		return $this->getDbTable()->selectConfig();
	}

    public function getConfigParam($name) {
		if (!$name) {
			return null;
		}
		
		$row = $this->getDbTable()->find($name);
		if ($row = $row->current()){
			return $row->value;
		}
		return null;
	}

  
}

