CREATE TABLE IF NOT EXISTS `plugin_franchise_config` (
	`name` VARCHAR(255) NOT NULL COLLATE 'utf8_unicode_ci',
	`value` VARCHAR(255) NOT NULL COLLATE 'utf8_unicode_ci',
  PRIMARY KEY (`name`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

CREATE TABLE IF NOT EXISTS `plugin_franchise_data` (
`id` INT NOT NULL AUTO_INCREMENT ,
`zip` VARCHAR( 20 ) NOT NULL ,
`url` VARCHAR( 500 ) NULL ,
`pid` INT(10) UNSIGNED NOT NULL ,
PRIMARY KEY ( `id` ) ,
CONSTRAINT `fk_plugin_franchise_data_pid` FOREIGN KEY (`pid`) REFERENCES `page` (`id`) ON DELETE CASCADE ON UPDATE NO ACTION,
UNIQUE (
`zip`
)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

UPDATE `plugin` SET `version` = '2.2.2' WHERE `name` = 'franchiseandstorelocator';
