<?php


class Franchiseandstorelocator_Models_Mapper_FranchisedataMapper extends Application_Model_Mappers_Abstract {

	protected $_dbTable = 'Franchiseandstorelocator_Models_Dbtables_FranchisedataDbtable';

	protected $_model   = 'Franchiseandstorelocator_Models_Models_FranchisedataModel';

	public function save($config) {
		if(!$config instanceof $this->_model) {
			throw new Exceptions_SeotoasterException('Given parameter should be ' . $this->_model . ' instance');
		}
		$data = array(
		    'zip'    => $config->getZip(),
            'url'    => $config->getUrl(),
            'pid'    => $config->getPid()
        );
        return $this->getDbTable()->insert($data);
    }
    
    public function getDealerDataByPid($pageId) {
        $where = $this->getDbTable()->getAdapter()->quoteInto("pid=?", $pageId);
        return $this->fetchAll($where);
	}
     
    public function clearDealerZip($pageId) {
		$where = $this->getDbTable()->getAdapter()->quoteInto("pid=?", $pageId);
		$this->getDbTable()->delete($where);
	}
    
    public function getDealerDataByZip($zip) {
        $where = $this->getDbTable()->getAdapter()->quoteInto("zip=?", $zip); 
        return $this->fetchAll($where);
	}
     
}

